## libyaml 0.1.4

=== debian/changelog ===
libyaml (0.1.4-3ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via triggered assertion
    - debian/patches/CVE-2014-9130.patch: remove assertion
    - CVE-2014-9130

 -- Steve Beattie <sbeattie@ubuntu.com>  Thu, 08 Jan 2015 17:57:14 -0800

libyaml (0.1.4-3ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service and possible code execution via
    heap overflow in yaml_parser_scan_uri_escapes
    - debian/patches/CVE-2014-2525.patch: properly handle memory in
      src/scanner.c, src/yaml_private.h.
    - CVE-2014-2525

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Apr 2014 11:38:05 -0400

libyaml (0.1.4-3ubuntu2) trusty; urgency=medium

  * SECURITY REGRESSION: parsing regression in security update
    (LP: #1279805)
    - debian/patches/CVE-2013-6393.patch: use upstream commits from 0.1.5.
    - debian/patches/libyaml-string-overflow.patch: removed
    - debian/patches/libyaml-node-id-hardening.patch: removed
    - debian/patches/libyaml-indent-column-overflow-v2.patch: removed

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Feb 2014 09:02:35 -0500

libyaml (0.1.4-3ubuntu1) trusty; urgency=medium

  * Merge from Debian. Remaining changes:
    - debian/{rules,control}: build-depend on dh-autoreconf and use it.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2014 13:13:53 -0500

libyaml (0.1.4-3) unstable; urgency=high

  * Fix CVE-2013-6393: heap-based buffer overflow when parsing YAML tags.
    (Closes: #737076)

 -- Anders Kaseorg <andersk@mit.edu>  Wed, 29 Jan 2014 20:11:48 -0500

libyaml (0.1.4-2ubuntu1) trusty; urgency=low

  * debian/{rules,control}: build-depend on dh-autoreconf and use it.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 12 Dec 2013 01:29:25 -0700

libyaml (0.1.4-2build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2012 10:49:29 +0100

libyaml (0.1.4-2) unstable; urgency=low

  * Remove extra libyaml-0.so symlink from libyaml-dev.
  * Bump Debhelper compat level to 9.
  * Support multiarch.  (Closes: #653748) (LP: #905630)
  * Use 3.0 (quilt) source format.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 30 Dec 2011 17:14:52 -0500

libyaml (0.1.4-1) unstable; urgency=low

  * New upstream version 0.1.4.
    + Fixed a bug that prevented an empty mapping being used as a simple
      key.
    + Fixed pointer overflow when calculating the position of a potential
      simple key.
    + Added pkg-config support.  (Closes: #537834)
  * Remove unneded libyaml.la file.  (Closes: #622452)
  * Add libyaml-0-2-dbg package with debugging symbols.
    (Closes: #592747)
  * Bumped standards version to 3.9.2 without further change

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 30 May 2011 22:27:27 -0400

libyaml (0.1.3-1) unstable; urgency=low

  * New upstream version 0.1.3.
    + This release fixes non-standard structure initialization and a
      streaming-related issue.
  * Bump priority from extra to optional.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 04 Oct 2009 14:07:18 -0400

libyaml (0.1.2-1) unstable; urgency=low

  * New upstream version 0.1.2.
    + Fixed grammar in error messages (from YAML::XS::LibYAML).
    + Rewritten whitespace detection in the scalar analyzer and block
      scalar writers (ported from PyYAML).
    + Fixed emitting folded scalars with trailing breaks; Forced emitting
      of a document end indicator when there is a possibility of ambiguous
      parsing.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 29 Dec 2008 21:10:48 -0500

libyaml (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #484381).

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 10 Jun 2008 02:37:34 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

CDBS_BUILD_DEPENDS += , cdbs (>= 0.4.93~)  # for $(DEB_HOST_MULTIARCH)

# Debhelper 9 isn’t released yet
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper (>= 8.1.3~)

# dh_buildinfo fails at multiarch: http://bugs.debian.org/620104
CDBS_BUILD_DEPENDS_rules_debhelper_buildinfo =

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
DEB_DBG_PACKAGE_libyaml-0-2 = libyaml-0-2-dbg

=== debian/watch ===
version=3
http://pyyaml.org/download/libyaml/yaml-(.*)\.tar\.gz

## libyaml 0.1.7

=== CMakeLists.txt ===
# Minimal CMake project for building a static library under Windows.

cmake_minimum_required (VERSION 2.8)
project (yaml C)

set (YAML_VERSION_MAJOR 0)
set (YAML_VERSION_MINOR 1)
set (YAML_VERSION_PATCH 7)
set (YAML_VERSION_STRING "${YAML_VERSION_MAJOR}.${YAML_VERSION_MINOR}.${YAML_VERSION_PATCH}")

file (GLOB SRC src/*.c)

include_directories (include win32)
add_definitions (-DHAVE_CONFIG_H -DYAML_DECLARE_STATIC)
add_library (yaml STATIC ${SRC})

## libyaml 0.1.6

=== debian/changelog ===
libyaml (0.1.6-3) unstable; urgency=high

  * debian/patches/CVE-2014-9130.patch: Fix CVE-2014-9130 assertion
    failure caused by wrapped strings.  (Closes: #771366)
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 28 Nov 2014 22:05:10 -0500

libyaml (0.1.6-2) unstable; urgency=medium

  * Move doxygen from Build-Depends to Build-Depends-Indep.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 19 Aug 2014 21:56:25 -0400

libyaml (0.1.6-1) unstable; urgency=medium

  * New upstream version 0.1.6.
    + Fix CVE-2013-6393: heap-based buffer overflow when parsing YAML
      tags.
    + Fix CVE-2014-2525: heap-based buffer overflow in
      yaml_parser_scan_uri_escapes.
  * Drop upstreamed patches.
  * Run tests at build time.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Use dh-autoreconf.  (Closes: #745078)
  * Use dh-buildinfo.
  * Add libyaml-doc package for Doxygen-generated API documentation and
    examples.  (Closes: #696821)
  * Acknowledge NMUs.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 19 Aug 2014 00:03:53 -0400

libyaml (0.1.4-3.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-2525.patch patch.
    CVE-2014-2525: Fixes heap overflow in yaml_parser_scan_uri_escapes.
    The heap overflow is caused by not properly expanding a string before
    writing to it in function yaml_parser_scan_uri_escapes in scanner.c.
    (Closes: #742732)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 27 Mar 2014 06:22:25 +0100

libyaml (0.1.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libyaml-indent-column-overflow-v2.patch patch.
    This patch causes additional regressions on simple YAML files.
  * Add libyaml-guard-against-overflows-in-indent-and-flow_level.patch patch.
    Add upstream's patch to guard against overflows in indent and
    flow_level. (Closes: #738587)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 13 Feb 2014 07:51:58 +0100

=== debian/control ===
Source: libyaml
Section: libs
Priority: optional
Maintainer: Anders Kaseorg <andersk@mit.edu>
Build-Depends: cdbs (>= 0.4.93~),
 autotools-dev,
 debhelper (>= 9~),
 dh-buildinfo (>= 0.9+nmu1~),
 dh-autoreconf
Build-Depends-Indep: doxygen
Standards-Version: 3.9.6
Homepage: http://pyyaml.org/wiki/LibYAML
Vcs-Git: git://andersk.mit.edu/libyaml.git
Vcs-Browser: http://andersk.mit.edu/gitweb/libyaml.git

Package: libyaml-0-2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Fast YAML 1.1 parser and emitter library
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.

Package: libyaml-0-2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libyaml-0-2 (= ${binary:Version})
Description: Fast YAML 1.1 parser and emitter library (debugging symbols)
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.
 .
 This package contains detached debuging symbols for the library found
 in libyaml-0-2.

Package: libyaml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libyaml-0-2 (= ${binary:Version})
Suggests: libyaml-doc
Description: Fast YAML 1.1 parser and emitter library (development)
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.
 .
 This package contains development headers and static libraries.

Package: libyaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Fast YAML 1.1 parser and emitter library (documentation)
 LibYAML is a C library for parsing and emitting data in YAML 1.1, a
 human-readable data serialization format.
 .
 This package contains API documentation for developers in HTML
 format, and some example programs from the LibYAML distribution.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

CDBS_BUILD_DEPENDS += , cdbs (>= 0.4.93~)  # for $(DEB_HOST_MULTIARCH)

# dh_buildinfo < 0.9+nmu1 fails at multiarch: http://bugs.debian.org/620104
CDBS_BUILD_DEPENDS_rules_debhelper_buildinfo = dh-buildinfo (>= 0.9+nmu1~)

build/libyaml-doc::
	$(MAKE) html

DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
DEB_MAKE_CHECK_TARGET = check
DEB_DH_INSTALL_SOURCEDIR = $(DEB_DESTDIR)
DEB_DBG_PACKAGE_libyaml-0-2 = libyaml-0-2-dbg

## libyaml 0.1.7

=== debian/changelog ===
libyaml (0.1.7-2ubuntu3) artful; urgency=medium

  * Revert the testsuite fix patch, so this way this
    becomes a sync candidate in case Debian adopts it.
    - the haskell failing test is now disabled

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Jul 2017 16:11:05 +0200

libyaml (0.1.7-2ubuntu2) artful; urgency=medium

  [ James Clarke ]
  * debian/patches/testsuite-fix.patch:
    - disable previous patch with a better one.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jun 2017 07:54:35 +0200

libyaml (0.1.7-2ubuntu1) artful; urgency=medium

  * debian/patches/56400d976a1999156b1abfd674c3122843980260.patch:
    cherry-pick upstream fix for a testsuite failure.
  * Move watch and homepage to new github maintained repo.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Jun 2017 18:29:36 +0200

libyaml (0.1.7-2) unstable; urgency=medium

  * Clean doxygen-generated documentation with dh_doxygen.
  * Mark libyaml-doc Multi-Arch: foreign.
  * Add libyaml-0-2.symbols file.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 30 Sep 2016 22:06:09 -0400

libyaml (0.1.7-1) unstable; urgency=medium

  * New upstream version 0.1.7.
    + Fix segfault in yaml_string_write_handler.
    + Fix invalid simple key assertion.
  * Drop upstreamed patches.
  * Migrate packaging from CDBS to dh.
  * Drop libyaml-0-2-dbg in favor of automatically generated
    libyaml-0-2-dbgsym package.

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 03 Sep 2016 06:48:38 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Anders Kaseorg <andersk@mit.edu>
-Build-Depends: cdbs (>= 0.4.93~),
- autotools-dev,
- debhelper (>= 9~),
+Build-Depends: autotools-dev,
+ debhelper (>= 9.20120608~),
  dh-buildinfo (>= 0.9+nmu1~),
  dh-autoreconf
-Build-Depends-Indep: doxygen
+Build-Depends-Indep: doxygen (>= 1.8.4-1~)
 Standards-Version: 3.9.6
 Homepage: http://pyyaml.org/wiki/LibYAML
 Vcs-Git: git://andersk.mit.edu/libyaml.git
@@ -21,19 +20,6 @@
 Description: Fast YAML 1.1 parser and emitter library
  LibYAML is a C library for parsing and emitting data in YAML 1.1, a
  human-readable data serialization format.
-
-Package: libyaml-0-2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libyaml-0-2 (= ${binary:Version})
-Description: Fast YAML 1.1 parser and emitter library (debugging symbols)
- LibYAML is a C library for parsing and emitting data in YAML 1.1, a
- human-readable data serialization format.
- .
- This package contains detached debuging symbols for the library found
- in libyaml-0-2.
 
 Package: libyaml-dev
 Section: libdevel
@@ -50,6 +36,7 @@
 Package: libyaml-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Fast YAML 1.1 parser and emitter library (documentation)
  LibYAML is a C library for parsing and emitting data in YAML 1.1, a

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_build-indep:
	$(MAKE) html

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_doxygen -plibyaml-doc

override_dh_strip:
	dh_strip -plibyaml-0-2 --dbgsym-migration='libyaml-0-2-dbg (<< 0.1.7-1~)'
	dh_strip --remaining

## libyaml 0.2.1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.0)
project (yaml C)

set (YAML_VERSION_MAJOR 0)
set (YAML_VERSION_MINOR 1)
set (YAML_VERSION_PATCH 7)
set (YAML_VERSION_STRING "${YAML_VERSION_MAJOR}.${YAML_VERSION_MINOR}.${YAML_VERSION_PATCH}")

option(BUILD_SHARED_LIBS "Build libyaml as a shared library" OFF)

#
# Output directories for a build tree
#
if(NOT DEFINED CMAKE_RUNTIME_OUTPUT_DIRECTORY)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

#
# Install relative directories
#
if(NOT DEFINED INSTALL_LIB_DIR)
  set(INSTALL_LIB_DIR lib)
endif()
if(NOT DEFINED INSTALL_BIN_DIR)
  set(INSTALL_BIN_DIR bin)
endif()
if(NOT DEFINED INSTALL_INCLUDE_DIR)
  set(INSTALL_INCLUDE_DIR include)
endif()
if(NOT DEFINED INSTALL_CMAKE_DIR)
  set(INSTALL_CMAKE_DIR cmake)
endif()

#
# Build library
#
set(SRCS
  src/api.c
  src/dumper.c
  src/emitter.c
  src/loader.c
  src/parser.c
  src/reader.c
  src/scanner.c
  src/writer.c
  )

set(config_h ${CMAKE_CURRENT_BINARY_DIR}/include/config.h)
configure_file(
  cmake/config.h.in
  ${config_h}
  )

add_library(yaml ${SRCS})

if(NOT BUILD_SHARED_LIBS)
  set_target_properties(yaml
    PROPERTIES OUTPUT_NAME yaml_static
    )
endif()

set_target_properties(yaml
  PROPERTIES DEFINE_SYMBOL YAML_DECLARE_EXPORT
  )

target_compile_definitions(yaml
  PRIVATE HAVE_CONFIG_H
  PUBLIC
    $<$<NOT:$<BOOL:${BUILD_SHARED_LIBS}>>:YAML_DECLARE_STATIC>
    $<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>
  )

target_include_directories(yaml PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
  $<INSTALL_INTERFACE:${INSTALL_INCLUDE_DIR}>
  )

#
# Install rules
#
install(
  FILES
    include/yaml.h
    ${config_h}
  DESTINATION include COMPONENT Development
  )

install(
  TARGETS yaml
  EXPORT yamlTargets
  RUNTIME DESTINATION "${INSTALL_BIN_DIR}" COMPONENT Runtime
  LIBRARY DESTINATION "${INSTALL_LIB_DIR}" COMPONENT Development
  ARCHIVE DESTINATION "${INSTALL_LIB_DIR}" COMPONENT Development
  )

#
# Add tests
#
include(CTest) # This module defines BUILD_TESTING option
if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

#
# Generate 'yamlConfig.cmake', 'yamlConfigVersion.cmake' and 'yamlTargets.cmake'
#
include(CMakePackageConfigHelpers)

# Configure 'yamlConfig.cmake' for a build tree
set(CONFIG_DIR_CONFIG ${PROJECT_BINARY_DIR})
set(config_file ${PROJECT_BINARY_DIR}/yamlConfig.cmake)
configure_package_config_file(
  yamlConfig.cmake.in
  ${config_file}
  INSTALL_DESTINATION ${PROJECT_BINARY_DIR}
  PATH_VARS CONFIG_DIR_CONFIG
  NO_CHECK_REQUIRED_COMPONENTS_MACRO
  )

# Configure 'yamlTargets.cmake' for a build tree
export(TARGETS yaml
  FILE ${PROJECT_BINARY_DIR}/yamlTargets.cmake
  )

# Configure and install 'yamlConfig.cmake' for an install tree
set(CONFIG_DIR_CONFIG ${INSTALL_CMAKE_DIR})
set(install_config_file ${PROJECT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/yamlConfig.cmake )
configure_package_config_file(
  yamlConfig.cmake.in
  ${install_config_file}
  INSTALL_DESTINATION ${CMAKE_INSTALL_PREFIX}/${INSTALL_CMAKE_DIR}
  PATH_VARS CONFIG_DIR_CONFIG
  NO_CHECK_REQUIRED_COMPONENTS_MACRO
  )
install(
  FILES ${install_config_file}
  DESTINATION ${INSTALL_CMAKE_DIR} COMPONENT Development
  )

# Configure and install 'yamlTargets.cmake' for an install tree
install(EXPORT yamlTargets
  FILE yamlTargets.cmake
  DESTINATION ${INSTALL_CMAKE_DIR}
  COMPONENT Development
  )

# Configure 'yamlConfigVersion.cmake' for a build tree
set(config_version_file ${PROJECT_BINARY_DIR}/yamlConfigVersion.cmake)
write_basic_package_version_file(
    ${config_version_file}
    VERSION ${YAML_VERSION_STRING}
    COMPATIBILITY AnyNewerVersion
)
# ... and install for an install tree
install(
  FILES ${config_version_file}
  DESTINATION ${INSTALL_CMAKE_DIR} COMPONENT Development
  )

=== debian/changelog ===
libyaml (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1.
    + Moved canonical repo to GitHub.  (Closes: #865709)
  * Bump Standards-Version to 4.1.4 and debian/compat to 11.
    + Moved documentation in libyaml-doc from /usr/share/doc/libyaml-doc
      to /usr/share/doc/libyaml-dev.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 26 Jun 2018 20:25:08 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Anders Kaseorg <andersk@mit.edu>
-Build-Depends: autotools-dev,
- debhelper (>= 9.20120608~),
- dh-buildinfo (>= 0.9+nmu1~),
- dh-autoreconf
+Build-Depends: debhelper (>= 11),
+ dh-buildinfo (>= 0.9+nmu1~)
 Build-Depends-Indep: doxygen (>= 1.8.4-1~)
-Standards-Version: 3.9.6
-Homepage: http://pyyaml.org/wiki/LibYAML
+Standards-Version: 4.1.4
+Homepage: https://github.com/yaml/libyaml
 Vcs-Git: git://andersk.mit.edu/libyaml.git
 Vcs-Browser: http://andersk.mit.edu/gitweb/libyaml.git

## libyaml 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,12 @@
 project (yaml C)
 
 set (YAML_VERSION_MAJOR 0)
-set (YAML_VERSION_MINOR 1)
-set (YAML_VERSION_PATCH 7)
+set (YAML_VERSION_MINOR 2)
+set (YAML_VERSION_PATCH 2)
 set (YAML_VERSION_STRING "${YAML_VERSION_MAJOR}.${YAML_VERSION_MINOR}.${YAML_VERSION_PATCH}")
 
 option(BUILD_SHARED_LIBS "Build libyaml as a shared library" OFF)
+option(YAML_STATIC_LIB_NAME "base name of static library output" yaml)
 
 #
 # Output directories for a build tree
@@ -56,8 +57,8 @@
 
 if(NOT BUILD_SHARED_LIBS)
   set_target_properties(yaml
-    PROPERTIES OUTPUT_NAME yaml_static
-    )
+    PROPERTIES OUTPUT_NAME ${YAML_STATIC_LIB_NAME}
+  )
 endif()
 
 set_target_properties(yaml
@@ -83,7 +84,6 @@
 install(
   FILES
     include/yaml.h
-    ${config_h}
   DESTINATION include COMPONENT Development
   )

=== debian/changelog ===
libyaml (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2.
  * Bump Standards-Version to 4.4.0 and Debhelper compat to 12.

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 14 Sep 2019 19:50:18 -0700

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Anders Kaseorg <andersk@mit.edu>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  dh-buildinfo (>= 0.9+nmu1~)
 Build-Depends-Indep: doxygen (>= 1.8.4-1~)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: https://github.com/yaml/libyaml
-Vcs-Git: git://andersk.mit.edu/libyaml.git
-Vcs-Browser: http://andersk.mit.edu/gitweb/libyaml.git
+Vcs-Git: https://salsa.debian.org/andersk-guest/libyaml.git
+Vcs-Browser: https://salsa.debian.org/andersk-guest/libyaml
 
 Package: libyaml-0-2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_build-indep:
 	$(MAKE) html

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/dist-(\d\S*)\.tar\.gz/libyaml-$1\.tar\.gz/" \
  https://github.com/yaml/libyaml/releases .*/dist-(\d\S*)\.tar\.gz

## libyaml 0.2.5

=== debian/changelog ===
libyaml (0.2.5-2build2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:23:29 +0000

libyaml (0.2.5-2build1) questing; urgency=medium

  * No-change rebuild for updated GCS property note on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Aug 2025 10:52:42 +0200

libyaml (0.2.5-2) unstable; urgency=medium

  * [61a6bd0] d/clean: fully clean source tree after build (Closes: #1047251)
  * [91e1921] d/control: drop B-D on unsatisfiable dh-buildinfo.
    Thanks to наб <nabijaczleweli@nabijaczleweli.xyz> (Closes: #1090771)
  * [07c8757] d/control: Standards-Version: 4.7.0 (no further changes
    required)
  * [875c7f3] d/copyright: adjust for current year

 -- Florian Ernst <florian@debian.org>  Thu, 19 Dec 2024 18:01:23 +0100

libyaml (0.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit (from ./configure),
    Repository, Repository-Browse.
  * Drop transition for old debug package migration.
  * Update standards version to 4.6.0, no changes needed.

  [ Florian Ernst ]
  * [de63dcd] debian/watch: update as per latest uscan recommendations.
    This allows detecting new upstream releases again and also migrates
    to the actual upstream source tarballs not containing any pre-built
    stuff like documentation, saving a bunch of lintian errors/warnings.
  * [1b08058] New upstream version 0.2.5 (Closes: #987895)
  * [dfbe297] debian/copyright: update years according to most recent changes
  * [183f9d4] upgrade to recommended debhelper-compat (= 13)
    But ignore libtool library during installation and simplify debian/rules
  * [982974f] debian/rules: enable hardening=+all
  * [1f7cabe] debian/libyaml-0-2.symbols: add Build-Depends-Package
    meta-information
  * [1104826] debian/control: declare Rules-Requires-Root: no
  * [8f2e2e6] debian/tests/: add upstream tests as autopkgtest
  * [f5e5378] Add Salsa pipeline via debian/salsa-ci.yml file
  * [88cfa12] salvaging the package and moving to Debian group on Salsa
    (Closes: #1012344)
  * [da1b78b] debian/control: Standards-Version: 4.6.1.0 (no further changes
    required)

 -- Florian Ernst <florian@debian.org>  Wed, 06 Jul 2022 16:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libyaml
 Section: libs
 Priority: optional
-Maintainer: Anders Kaseorg <andersk@mit.edu>
-Build-Depends: debhelper (>= 12),
- dh-buildinfo (>= 0.9+nmu1~)
+Maintainer: Florian Ernst <florian@debian.org>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: doxygen (>= 1.8.4-1~)
-Standards-Version: 4.4.0
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: https://github.com/yaml/libyaml
-Vcs-Git: https://salsa.debian.org/andersk-guest/libyaml.git
-Vcs-Browser: https://salsa.debian.org/andersk-guest/libyaml
+Vcs-Git: https://salsa.debian.org/debian/libyaml.git
+Vcs-Browser: https://salsa.debian.org/debian/libyaml
 
 Package: libyaml-0-2
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build-indep:
	$(MAKE) html

override_dh_installdocs-indep:
	dh_installdocs -i
	dh_doxygen -plibyaml-doc

=== debian/tests/control ===
Tests: upstream-tests
Depends:
 build-essential,
 pkg-config,
 libyaml-dev

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/yaml/@PACKAGE@/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
